Bug 1276105 - copr-cli 1.45 errors on el6
copr-cli 1.45 errors on el6
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: copr-cli (Show other bugs)
el6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Suchý
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-28 13:58 EDT by info@kobaltwit.be
Modified: 2016-05-16 18:25 EDT (History)
3 users (show)

See Also:
Fixed In Version: copr-cli-1.47-1.fc23 copr-cli-1.47-1.el7 copr-cli-1.47-1.el6 copr-cli-1.50-1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-16 18:25:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description info@kobaltwit.be 2015-10-28 13:58:10 EDT
Description of problem:
I'm testing copr-cli-1.45-1 as found in bodhi here:
https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-245dbd46e3

This version of copr-cli is supposed to support uploading a local srpm directly to copr as opposed to first uploading the srpm to some public internet spot and then starting a copr build.
Attempting to do so will fail with this error:

  Something went wrong:
  Error: Invalid request: bad request parameters

I traced this back to the version of python-copr that is available on el6 (also via the EPEL repository): 1.55. Updating this version to 1.58 (as is currently available on Fedora 22 for example) fixes this issue.

Once this is fixed, one can successfully start a new build with a local srpm using
copr-cli build <copr-repo> <local-srpm-path>

Although the build will run successfully, copr-cli will fail to print the build id though. Instead this error is printed:

Traceback (most recent call last):
  File "/usr/bin/copr-cli", line 9, in <module>
    load_entry_point('copr-cli==0.3.0', 'console_scripts', 'copr-cli')()
  File "/usr/lib/python2.6/site-packages/copr_cli/main.py", line 419, in main
    getattr(commands, arg.func)(arg)
  File "/usr/lib/python2.6/site-packages/copr_cli/main.py", line 66, in wrapper
    return func(self, args)
  File "/usr/lib/python2.6/site-packages/copr_cli/main.py", line 176, in action_build
    print("Created builds: {}".format(" ".join(map(str, build_ids))))
ValueError: zero length field name in format

The problem here is that the {} positional argument specifier is too new for python 2.6. Changing this line to 
    print("Created builds: {0}".format(" ".join(map(str, build_ids))))
will fix the problem and makes copr-cli work on el6.

Version-Release number of selected component (if applicable):
copr-cli-1.45-1.el6.noarch

How reproducible:
Always

Steps to Reproduce:
1. Run a copr-cli build with a local srpm as argument


Actual results:
The two errors as explained above. The first prevents the build from starting on copr.fedoraproject.org, the second is only an display error.

Expected results:
Build starts fine and build id is printed correctly.

Additional info:
I rebuilt the Fedora 22 package of python-copr to pass the first issue. It's at version 1.58, where current epel is only at 1.55.
Comment 1 RJ Bergeron 2015-11-25 20:36:21 EST
the python-copr version in EPEL7 is similarly old and not usable.
Comment 3 Fedora Update System 2016-02-03 09:07:51 EST
python-copr-1.65-1.fc23 copr-cli-1.47-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b8100b8c0e
Comment 4 Fedora Update System 2016-02-03 09:07:52 EST
python-copr-1.65-1.el6 copr-cli-1.47-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0b304178f6
Comment 5 Fedora Update System 2016-02-03 09:08:15 EST
python-copr-1.65-1.el7 copr-cli-1.47-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-c11c38ade2
Comment 6 Fedora Update System 2016-02-03 09:08:16 EST
python-copr-1.65-1.fc22 copr-cli-1.47-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1fc476e069
Comment 7 Fedora Update System 2016-02-03 17:19:33 EST
copr-cli-1.47-1.el6, python-copr-1.65-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0b304178f6
Comment 8 Fedora Update System 2016-02-03 17:23:19 EST
copr-cli-1.47-1.el7, python-copr-1.65-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-c11c38ade2
Comment 9 Fedora Update System 2016-02-03 17:59:29 EST
copr-cli-1.47-1.fc23, python-copr-1.65-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b8100b8c0e
Comment 10 Fedora Update System 2016-02-03 18:25:17 EST
copr-cli-1.47-1.fc22, python-copr-1.65-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1fc476e069
Comment 11 Fedora Update System 2016-02-07 00:23:10 EST
copr-cli-1.47-1.fc23, python-copr-1.65-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2016-02-20 17:58:06 EST
copr-cli-1.47-1.el7, python-copr-1.65-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2016-02-20 18:55:10 EST
copr-cli-1.47-1.el6, python-copr-1.65-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2016-05-05 03:01:29 EDT
python-copr-1.68-1.fc22 copr-cli-1.50-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-83199bf70e
Comment 15 Fedora Update System 2016-05-06 05:23:07 EDT
copr-cli-1.50-1.fc22, python-copr-1.68-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-83199bf70e
Comment 16 Fedora Update System 2016-05-16 18:24:52 EDT
copr-cli-1.50-1.fc22, python-copr-1.68-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.